import { Metadata } from "next";

import { ChangeEmail } from "./changeEmail";
import { ChangePassword } from "./changePassword";
import { UserProfileProvider } from "./context";
import { DownloadUserData } from "./downloadUserData";
import { LastLogin } from "./lastLogin";

import { Item } from "components/form/items";

export default function ProfileOverviewPage() {
    return (
        <UserProfileProvider>
            <h2>General account settings</h2>
            <Item
                title="Email address"
                description="Changing your email address requires an additional password validation and email confirmation on the new email address."
            >
                <ChangeEmail />
            </Item>
            <Item
                title="Change password"
                description="Changing your password requires to use your current password or verification via email."
            >
                <ChangePassword />
            </Item>
            <Item
                title="Last login"
                description="The last time you logged in. This might be helpful to verify if someone else accessed your account."
            >
                <LastLogin />
            </Item>
            <Item
                title="User data"
                description="You can download all your user data in a JSON format. This includes all your personal data, settings, and groups. This does not include any book data."
            >
                <DownloadUserData />
            </Item>
        </UserProfileProvider>
    );
}

export const metadata: Metadata = {
    title: "Settings",
};
