import type { Metadata } from "next";

import { BooksBrowser } from "components/books/browser/BooksBrowser";

export default function BookBrowser() {
    return (
        <div className="container">
            <UpdateNotification />
            <BooksBrowser rootFolderId={"root"} />
        </div>
    );
}

const UpdateNotification = () => {
    return (
        <div className="alert alert-info mx-2">
            We&apos;re excited to announce that snip has been updated to{" "}
            <b>v1.8.0</b> featuring a new render pipeline. This should not
            change much from the users perspective, but should allow the app to
            integrate more fluently with older hardware. Additionally pen and
            touch inputs have more refined supported now (see{" "}
            <a
                href="https://gitlab.gwdg.de/irp/snip/-/blob/main/CHANGELOG.md?ref_type=heads"
                target="_blank"
                className="alert-link"
                rel="noopener noreferrer"
            >
                changelog
            </a>
            ) . As always it is possible that some issues may arise because of
            the update. If you encounter any problems, please let us know by
            creating an{" "}
            <a
                href="https://gitlab.gwdg.de/irp/snip/-/issues"
                className="alert-link"
            >
                issue
            </a>{" "}
            or contacting us at{" "}
            <a href="mailto:uprpsnip@gwdg.de" className="alert-link">
                uprpsnip@gwdg.de
            </a>
            . We appreciate your feedback and will do our best to address any
            issues that arise.
            <br />
        </div>
    );
};

export const metadata: Metadata = {
    title: "My Books",
};
