"use server";
import { getSessionAction } from "lib/session";
import Link from "next/link";

import service from "@snip/database";

import { ResendForm, VerifyForm } from "./form";

export default async function VerifyPage() {
    const session = await getSessionAction();
    if (!session.user) {
        return (
            <div className="d-flex flex-grow-1 justify-content-center align-items-center flex-column">
                <h1>Not logged in</h1>
                <p>We could not read the user data from the session cookie</p>
                <Link href="/frontpage">Go back to home</Link>
            </div>
        );
    }
    const user = await service.user.getById(session.user.id);

    if (user.emailValidated) {
        return (
            <div className="d-flex flex-grow-1 justify-content-center align-items-center flex-column">
                <h1>Email already verified</h1>
                <p>Your email is already verified.</p>
                <Link href="/frontpage">Go back to home</Link>
            </div>
        );
    }

    return (
        <div className="d-flex flex-grow-1 justify-content-center align-items-center flex-column">
            <VerifyForm />
            <ResendForm email={user.email} />
        </div>
    );
}
