import type { Callback } from "types";

import type { ID, PageData } from "@snip/database/types";

export interface ClientToServerEvents_BookPrefix {
    // Place a snip on the page
    "book:getPages": (callback: Callback<PageData[]>) => void;
    "book:newPage": (
        pageData: Omit<PageData, "id">,
        callback: Callback<PageData>,
    ) => void;
    "book:deletePage": (pageId: ID, callback: Callback) => void;
    "book:updatePage": (
        pageData: PageData,
        callback: Callback<PageData>,
    ) => void;
}

export interface ServerToClientEvents_BookPrefix {
    "book:newPage": (pageData: PageData) => void;
    "book:deletedPage": (pageId: ID) => void;
    "book:updatedPage": (pageData: PageData) => void;
    "book:updatedPage:preview": (pageId: ID) => void;
}

export interface InterServerEvents_BookPrefix {
    "book:newPage:sync_allowedPages": (
        bookId: ID,
        pageId: ID,
        callback: Callback,
    ) => void;
}
